Attribute VB_Name = "Module6"
Private Declare Function ECF_VersaoDll Lib "CONVECF.DLL" (ByVal Versao As String) As Integer
Private Declare Function ECF_VersaoFirmwareMFD Lib "CONVECF.DLL" (ByVal Firmware As String) As Integer
Private Declare Function ECF_NumeroSerieMFD Lib "CONVECF.DLL" (ByVal NumSerie As String) As Integer
Private Declare Function ECF_NumeroSerieMemoriaMFD Lib "CONVECF.DLL" (ByVal NumeroSerieMFD As String) As Integer

Function VersaoDll()
    Dim Versao As String
    
    Versao = Space(9)
    retorno = ECF_VersaoDll(Versao)
    
    MsgBox " 'Versão da Dll' " & vbCrLf & "Status: " & retorno
    Form1.List1.AddItem "Versão da dll: " & Versao
    
End Function

Function VersaoFirmwareMFD()
    
  
    Dim Firmware As String
    Dim I As Integer
    I = 1
    Firmware = Space(6)
    retorno = ECF_VersaoFirmwareMFD(Firmware)
    
    MsgBox " 'Versão do Firmware' " & vbCrLf & "Status: " & retorno
    Form1.List1.AddItem "Versão do Firmware: " & Firmware
    
End Function

Function NumSerieMFD()
    Dim NumSerie As String
    
    NumSerie = Space(20)
    retorno = ECF_NumeroSerieMFD(NumSerie)
    
    MsgBox " 'Nº de Série' " & vbCrLf & "Status: " & retorno
    Form1.List1.AddItem "Nº de Série: " & NumSerie
End Function

Function SerieMemoriaMFD()
    Dim NumeroSerieMFD As String
    
    NumeroSerieMFD = Space(20)
    retorno = ECF_NumeroSerieMemoriaMFD(NumeroSerieMFD)
    
    MsgBox " 'Nº de Série - MFD' " & vbCrLf & "Status: " & retorno
    Form1.List1.AddItem "Nº de Série: " & NumeroSerieMFD
End Function

